package com.tzld.piaoquan.recommend.server.service.filter;

import lombok.Data;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @author dyp
 */
@Data
public class FilterParam {
    private List<Long> videoIds;
    private int appType;
    private String mid;
    private String uid;

    // 风险过滤
    private String regionCode;
    private String cityCode;
    private Set<String> abExpCodes;

    private Long hotSceneType;

    private String clientIp;

    private boolean riskUser;

}
