package com.tzld.piaoquan.recommend.server.service.rank;

import com.tzld.piaoquan.recommend.server.model.MachineInfo;
import com.tzld.piaoquan.recommend.server.service.recall.RecallResult;
import lombok.Data;

import java.util.Map;
import java.util.Set;

/**
 * @author dyp
 */
@Data
public class RankParam {
    private RecallResult recallResult;
    private int size;
    private int topK;
    private String rankKeyPrefix;
    private double flowPoolP;
    private int appType;
    private boolean specialRecommend;
    private String mid;
    private String uid;
    private String province;
    private String city;
    private MachineInfo machineInfo;
    private Set<String> abExpCodes;
    private Long headVid=0L;
    private Long hotSceneType=0L;

    private Integer categoryId;
    private Integer versionCode;
    private String rootSourceId;
    private Integer userShareDepth;

}
